import React, { useState } from 'react';
import { Switch, Route } from 'react-router-dom';
import UserInfoContext, { initUserinfo } from '../context/userinfo-context';
import Index from './Index/Index';

function App() {
  const [userinfo, setUserinfo] = useState(initUserinfo);
  return (
    <UserInfoContext.Provider
      value={{
        userinfo: userinfo,
        updateUserInfo: setUserinfo,
      }}>
      <Switch>
        <Route exact path='/' component={Index} />
      </Switch>
    </UserInfoContext.Provider>
  );
}

export default App;
